View Issue Details

IDProjectCategoryView StatusLast Update
0000174Bacula-Webbug-phppublic2016-04-03 14:26
ReporterjhelfmanAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreeBSDOS Version10.1 patch 10
Product Version7.0.2 
Target Version7.1.0Fixed in Version7.1.0 
Summary0000174: PHP issues with non-static methods call
DescriptionPhp errors on dashboard html page:

Strict Standards: Non-static method FileConfig::count_Catalogs() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 41

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 65

Strict Standards: Non-static method FileConfig::get_DataSourceName() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 86

Strict Standards: Declaration of Jobs_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/jobs.model.php on line 19

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/index.php on line 78

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/index.php on line 88

Strict Standards: Declaration of Clients_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/clients.model.php on line 86

Strict Standards: Declaration of FileSets_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/filesets.model.php on line 40

Strict Standards: Declaration of Volumes_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/volumes.model.php on line 50

Strict Standards: Declaration of Pools_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/pools.model.php on line 58


    Strict Standards: Only variables should be passed by reference in /usr/local/www/apache24/data/bacula-web/application/view/cache/%%F7^F7F^F7F34188%%header.tpl.php on line 87

Php errors on Pools page:
Strict Standards: Non-static method FileConfig::count_Catalogs() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 41

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 65

Strict Standards: Non-static method FileConfig::get_DataSourceName() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 86

Strict Standards: Declaration of Pools_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/pools.model.php on line 19


    Strict Standards: Only variables should be passed by reference in /usr/local/www/apache24/data/bacula-web/application/view/cache/%%F7^F7F^F7F34188%%header.tpl.php on line 87

Php errors on jobs page:
Strict Standards: Non-static method FileConfig::count_Catalogs() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 41

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 65

Strict Standards: Non-static method FileConfig::get_DataSourceName() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 86

Strict Standards: Declaration of Clients_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/clients.model.php on line 19

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 67

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 93

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 127

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 134

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 156

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Non-static method CUtils::format_Number() should not be called statically in /usr/local/www/apache24/data/bacula-web/jobs.php on line 217

Strict Standards: Declaration of Jobs_Model::count() should be compatible with CModel::count($pdo, $tablename, $filter = NULL) in /usr/local/www/apache24/data/bacula-web/application/models/jobs.model.php on line 243

    Strict Standards: Only variables should be passed by reference in /usr/local/www/apache24/data/bacula-web/application/view/cache/%%F7^F7F^F7F34188%%header.tpl.php on line 87
    

My versions:
$ pkg info |grep php
mod_php5-5.4.42,1 PHP Scripting Language
php5-5.4.42 PHP Scripting Language
php5-gd-5.4.42_1 The gd shared extension for php
php5-gettext-5.4.42 The gettext shared extension for php
php5-mysql-5.4.42 The mysql shared extension for php
php5-pdo-5.4.42 The pdo shared extension for php
php5-pdo_mysql-5.4.42 The pdo_mysql shared extension for php
php5-session-5.4.42 The session shared extension for php

All software:
$ pkg info
apache24-2.4.12 Version 2.4.x of Apache web server
apr-1.5.2.1.5.4 Apache Portability Library
bacula-client-7.0.5_2 Network backup solution (client)
db5-5.3.28_2 The Oracle Berkeley DB, revision 5.3
expat-2.1.0_2 XML 1.0 parser written in C
freetype2-2.6 Free and portable TrueType font rendering engine
gdbm-1.11_2 GNU database manager
gettext-runtime-0.19.4 GNU gettext runtime libraries and programs
indexinfo-0.2.3 Utility to regenerate the GNU info page index
jpeg-8_6 IJG's jpeg compression utilities
kbproto-1.0.6 KB extension headers
libICE-1.0.9_1,1 Inter Client Exchange library for X11
libSM-1.2.2_3,1 Session Management library for X11
libX11-1.6.2_3,1 X11 library
libXau-1.0.8_3 Authentication Protocol library for X11
libXaw-1.0.12_3,2 X Athena Widgets library
libXdmcp-1.1.2 X Display Manager Control Protocol library
libXext-1.3.3_1,1 X11 Extension library
libXmu-1.1.2_3,1 X Miscellaneous Utilities libraries
libXp-1.0.3,1 X print library
libXpm-3.5.11_4 X Pixmap library
libXt-1.1.4_3,1 X Toolkit library
libpthread-stubs-0.3_6 This library provides weak aliases for pthread functions
libxcb-1.11_1 The X protocol C-language Binding (XCB) library
libxml2-2.9.2_3 XML parser library for GNOME
lzo2-2.09 Portable speedy, lossless data compression library
mod_php5-5.4.42,1 PHP Scripting Language
mysql51-client-5.1.73_2 Multithreaded SQL database (client)
nmap-6.47 Port scanning utility for large networks
pcre-8.37_1 Perl Compatible Regular Expressions library
perl5-5.20.2_5 Practical Extraction and Report Language
php5-5.4.42 PHP Scripting Language
php5-gd-5.4.42_1 The gd shared extension for php
php5-gettext-5.4.42 The gettext shared extension for php
php5-mysql-5.4.42 The mysql shared extension for php
php5-pdo-5.4.42 The pdo shared extension for php
php5-pdo_mysql-5.4.42 The pdo_mysql shared extension for php
php5-session-5.4.42 The session shared extension for php
pkg-1.5.4 Package manager
png-1.6.17 Library for manipulating PNG images
postgresql91-client-9.1.18 PostgreSQL database (client)
postgresql91-server-9.1.18 The most advanced open-source database available anywhere
printproto-1.0.5 Print extension headers
sudo-1.8.13 Allow others to run commands as root
t1lib-5.1.2_4,1 Type 1 font rasterization library for Unix/X11
xextproto-7.3.0 XExt extension headers
xproto-7.0.27 X11 protocol headers



Steps To ReproduceVanilla install
TagsNo tags attached.

Activities

jhelfman

2015-07-15 01:07

reporter   ~0000492

I am using FreeBSD 10.1-p14

jhelfman

2015-07-15 01:14

reporter   ~0000493

I forgot to log, that this is coming from the test page.

Strict Standards: Non-static method FileConfig::count_Catalogs() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 41

Strict Standards: Non-static method CHttpRequest::get_Value() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 65

Strict Standards: Non-static method FileConfig::get_DataSourceName() should not be called statically, assuming $this from incompatible context in /usr/local/www/apache24/data/bacula-web/core/bweb.class.php on line 86

jhelfman

2015-07-17 05:50

reporter   ~0000494

These were all suppressed by adding options to php.ini file for choosing to turn off some errors.

davide

2016-03-21 13:55

manager   ~0000512

Will be fixed in next version, thanks for submitting this bug report.

Regards

davide

2016-04-03 14:26

manager   ~0000523

All warnings and errors have been fixed.

Fixed code will be available as soon as versino 7.1.0 will be released.

Thanks for submitting this bug report.

Regards

Issue History

Date Modified Username Field Change
2015-07-15 00:46 jhelfman New Issue
2015-07-15 01:07 jhelfman Note Added: 0000492
2015-07-15 01:14 jhelfman Note Added: 0000493
2015-07-17 05:50 jhelfman Note Added: 0000494
2016-03-21 13:52 davide Assigned To => davide
2016-03-21 13:52 davide Status new => assigned
2016-03-21 13:53 davide Status assigned => confirmed
2016-03-21 13:54 davide Target Version => 7.1.0
2016-03-21 13:55 davide Note Added: 0000512
2016-03-30 09:36 davide Summary php issues => PHP issues with non-static methods call
2016-04-03 14:26 davide Note Added: 0000523
2016-04-03 14:26 davide Status confirmed => resolved
2016-04-03 14:26 davide Fixed in Version => 7.1.0
2016-04-03 14:26 davide Resolution open => fixed